, vesuvius wrote

I am also looking to install Exchange 2010 on Windows Server 2012 and it plain does not work.

That however is not, AFAIK a .NET issue, and adding it to back up your argument is disingenuous. Exchange checks the OS version and won't install on Win8 or 2012 because of that.

Anyway Exchange 2010 uses .NET 3.5 and you can quite happily install that on 2012 via the usual Add Roles and Features route.